Bug 1294293 - [abrt] cura: _controls.py:1178:InsertItems:PyAssertionError: C++ assertion "!items.IsEmpty()" failed at /usr/include/wx-3.0/wx/ctrlsub.h(154) in InsertItems(): need something to insert
[abrt] cura: _controls.py:1178:InsertItems:PyAssertionError: C++ assertion "!...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: cura (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5a291da87fdb4254827356fb26a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 11:22 EST by ssabchew
Modified: 2016-12-20 12:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:23:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.68 KB, text/plain)
2015-12-26 11:23 EST, ssabchew
no flags Details
File: environ (4.71 KB, text/plain)
2015-12-26 11:23 EST, ssabchew
no flags Details

  None (edit)
Description ssabchew 2015-12-26 11:22:59 EST
Version-Release number of selected component:
cura-15.02.1-4.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python /usr/bin/cura
dso_list:       wxPython-3.0.2.0-7.fc23.x86_64
executable:     /usr/bin/cura
kernel:         4.2.7-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
_controls.py:1178:InsertItems:PyAssertionError: C++ assertion "!items.IsEmpty()" failed at /usr/include/wx-3.0/wx/ctrlsub.h(154) in InsertItems(): need something to insert

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/Cura/gui/util/openglGui.py", line 184, in _OnGuiMouseDown
    if self._container.OnMouseDown(e.GetX(), e.GetY(), e.GetButton()):
  File "/usr/lib/python2.7/site-packages/Cura/gui/util/openglGui.py", line 99, in OnMouseDown
    if ctrl.OnMouseDown(x, y, button):
  File "/usr/lib/python2.7/site-packages/Cura/gui/util/openglGui.py", line 548, in OnMouseDown
    self._callback(button)
  File "/usr/lib/python2.7/site-packages/Cura/gui/sceneView.py", line 107, in <lambda>
    self.youMagineButton = openglGui.glButton(self, 26, _("Share on YouMagine"), (2,0), lambda button: youmagineGui.youmagineManager(self.GetTopLevelParent(), self._scene))
  File "/usr/lib/python2.7/site-packages/Cura/gui/tools/youmagineGui.py", line 67, in __init__
    self._newDesignWindow = newDesignWindow(self._mainWindow, self, self._ym)
  File "/usr/lib/python2.7/site-packages/Cura/gui/tools/youmagineGui.py", line 282, in __init__
    self._additionalFiles.InsertItems(getAdditionalFiles(self._manager._scene.objects(), True), 0)
  File "/usr/lib64/python2.7/site-packages/wx-3.0-gtk3/wx/_controls.py", line 1178, in InsertItems
    return _controls_.ListBox_InsertItems(*args, **kwargs)
PyAssertionError: C++ assertion "!items.IsEmpty()" failed at /usr/include/wx-3.0/wx/ctrlsub.h(154) in InsertItems(): need something to insert

Local variables in innermost frame:
args: (<wx._controls.CheckListBox; proxy of <Swig Object of type 'wxCheckListBox *' at 0x559f4fc48400> >, [], 0)
kwargs: {}
Comment 1 ssabchew 2015-12-26 11:23:04 EST
Created attachment 1109626 [details]
File: backtrace
Comment 2 ssabchew 2015-12-26 11:23:05 EST
Created attachment 1109627 [details]
File: environ
Comment 3 Miro Hrončok 2015-12-29 16:05:11 EST
How can I reproduce this?
Comment 4 ssabchew 2016-01-14 12:56:00 EST
I think I tried to print a model.
Cannot reproduce it now, as 3D printer is not here.
Comment 5 Fedora End Of Life 2016-11-24 09:31:33 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2016-12-20 12:23:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.